/*
 * Get video from a smartphone with IPWebcam application
 *
 * Connect the smartphone on the Wi-Fi Router and your computer
 * Get the IP Address of the video stream, like 192.168.1.101:8080/video
 *
 * Video setup : 640x480, fps 20, quality 50
 *
*/

#include "ofMain.h"
#include "ofApp.h"

//========================================================================
int main( ){
    ofSetupOpenGL(640,480,OF_WINDOW);			// <-------- setup the GL context

    // this kicks off the running of my app
    // can be OF_WINDOW or OF_FULLSCREEN
    // pass in width and height too:
    ofRunApp(new ofApp());
}
