#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    // IP Address
    // You must add the "something.mjpeg" at the end of the IP address
    // because OpenCv returns errors as it does not find the format ...
    // See : http://code.opencv.org/issues/2474
    vcap.open("http://192.168.1.101:8080/video?something.mjpeg");
    img.allocate(640, 480, OF_IMAGE_COLOR);
}

//--------------------------------------------------------------
void ofApp::update(){
    vcap.read(mat);
    ofxCv::toOf(mat, img);
    img.update();
}

//--------------------------------------------------------------
void ofApp::draw(){
    img.draw(0,0);
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){

}
